* "The Domestic Politics of World Power: Explaining Debates over the United States Battleship Fleet, 1890-91"
* When run on the replication data file, these commands will replicate the analysis in Stata 15.1
* Table 3-5 and Figures 4-6 present analytical results and are replicated here in the order they appear in the paper

* Table 3, Model 1 
xi: logit pronavy agwt i.rollcall, cluster(statecd) nolog
estat clas

* Table 3, Model 2
xi: logit pronavy agwt xint msens isshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
estat clas

* Table 3, Model 3
xi: logit pronavy xint msens isshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
estat clas

* Table 3, Model 4
xi: logit pronavy xint msens isshr esetrend strend officer age ivyleague democrat louisiana i.rollcall, cluster(statecd) nolog
estat clas

* Table 3, Model 5
xi: logit pronavy officer age ivyleague democrat i.rollcall, cluster(statecd) nolog
estat clas

* Figure 4
* Predicted probabilities based on Table 3, Model 2
quietly xi: logit pronavy agwt xint msens isshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
* Export orientation
margins, at(xint=.05 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.10 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.15 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.20 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.25 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.30 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.35 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.40 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.45 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.50 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.55 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(xint=.60 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
* Import sensitivity
margins, at(msens=.01 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.02 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.03 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.04 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.05 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.06 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.07 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend

* Figure 3
* Predicted probabilities based on Table 3, Model 1
quietly xi: logit pronavy agwt i.rollcall, cluster(statecd) nolog
margins, at(agwt=.1 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(agwt=.2 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(agwt=.3 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(agwt=.4 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(agwt=.5 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(agwt=.6 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(agwt=.7 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend

* Table 4, Model 1
* Note that restricting the analysis to one roll call vote yields one observation per member
xi: logit democrat agwt if rollcall==125, cluster(statecd) nolog
estat clas

* Table 4, model 2
xi: logit democrat agwt xint msens isshr esetrend strend louisiana if rollcall==125, cluster(statecd) nolog
estat clas

* Table 4, model 3
xi: logit democrat xint msens isshr esetrend strend louisiana if rollcall==125, cluster(statecd) nolog
estat clas

* Table 5, model 1
xi: logit pronavy agwt xint msens isshr esetrend strend louisiana i.rollcall if democrat==1, cluster(statecd)
estat clas

* Table 5, model 2
xi: logit pronavy xint msens isshr esetrend strend louisiana i.rollcall if democrat==1, cluster(statecd)
estat clas

* Table 5, model 3
xi: logit pronavy agwt xint msens isshr esetrend strend i.rollcall if democrat==0 & louisiana==0, cluster(statecd)
estat clas

* Table 5, model 4
xi: logit pronavy xint msens isshr esetrend strend i.rollcall if democrat==0 & louisiana==0, cluster(statecd)
estat clas

* Figure 5
* Predicted probabilities based on Table 5, model 3
quietly xi: logit pronavy agwt xint msens isshr esetrend strend i.rollcall if democrat==0 & louisiana==0, cluster(statecd)
margins, at(msens=.01 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.0125 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.015 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.0175 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.02 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.0225 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.025 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.0275 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.03 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.0325 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.035 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.0375 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.04 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.05 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.06 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(msens=.07 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend

* Figure 6
* Predicted probabilities based on Table 5, model 1
quietly xi: logit pronavy agwt xint msens isshr esetrend strend louisiana i.rollcall if democrat==1, cluster(statecd)
margins, at(strend=0 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(strend=.05 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(strend=.10 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(strend=.15 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(strend=.20 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(strend=.25 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend
margins, at(strend=.30 louisiana=0 _Irollcall_126=0 _Irollcall_219=0 _Irollcall_505=0 _Irollcall_510=0 _Irollcall_511=0) noatlegend

* Supplemental analysis for appendix:

* Appendix 1. Descriptive statistics and frequencies for the independent variables
* Table A1.1
* Note that selecting Congressional District 1 and a single rollcall yields one observation per state.
* All other observations for that state are identical.
sum agwt xint msens isshr strend esetrend 

* Table A1.2
* Note that selecting a single rollcall yields on observation per member
* All other observations for that member are identical
sum officer ivyleague age democrat if rollcall==126

* Figure A1.1
histogram agwt if cd==1 & rollcall==126, bin(10) title(Figure A1.1) subtitle(Frequency of Agricultural Sector Variable at State Level)

* Figure A1.2
histogram xint if cd==1 & rollcall==126, bin(10) title(Figure A1.2) subtitle(Frequency of Export Orientation Variable at State Level)

* Figure A1.3
histogram msens if cd==1 & rollcall==126, bin(10) title(Figure A1.3) subtitle(Frequency of Import Sensitivity Variable at State Level)

* Figure A1.4
histogram isshr if cd==1 & rollcall==126, bin(10) title(Figure A1.4) subtitle(Frequency of Steel/Shipbuilding Variable at State Level)

* Figure A1.5
histogram strend if cd==1 & rollcall==126, bin(10) title(Figure A1.5) subtitle(Frequency of Strike Variable at State Level)

* Figure A1.6
histogram esetrend if cd==1 & rollcall==126, bin(10) title(Figure A1.6) subtitle(Frequency of Immigration Variable at State Level)

* Appendix 2. Absenteeism and roll-call voting
gen absent=pronavy
recode absent (.=1) (0=0) (1=0)
gen pronavy3=pronavy 
recode pronavy3 (.=0) (0=1) (1=2)

* Table A2.1, model 1
xi: logit absent agwt i.rollcall, cluster(statecd) nolog
estat clas
* Table A2.1, model 2
xi: logit absent agwt xint msens isshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
estat clas
* Table A2.1, model 3
xi: logit absent xint msens isshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
estat clas
* Table A2.1, model 4
xi: logit absent xint msens isshr esetrend strend officer age ivyleague democrat louisiana i.rollcall, cluster(statecd) nolog
estat clas
* Table A2.1, model 5
xi: logit absent officer age ivyleague democrat i.rollcall, cluster(statecd) nolog
estat clas

* Table A2.2, multinomial logit model
xi: mlogit pronavy3 agwt xint msens isshr esetrend strend officer age ivyleague democrat louisiana i.rollcall, cluster(statecd) base(1) nolog
* Table A2.2, logit model
xi: logit pronavy agwt xint msens isshr esetrend strend officer age ivyleague democrat louisiana i.rollcall, cluster(statecd) nolog

* Appendix 3. Alternative analysis using an index of support for battleship-building
* These results appear at the end of this command file since they require amending the dataset

* Appendix 4. Regional dummy variables vs. measures of economic structure
* Table A4.1, model 1 
xi: logit pronavy northeast west i.rollcall, cluster(statecd) nolog
estat clas
est store reg
quietly xi: logit pronavy agwt i.rollcall, cluster(statecd) nolog
est store ag
est stat reg ag

* Table A4.1, model 2 
xi: logit pronavy northeast west xint msens isshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store a412reg
quietly xi: logit pronavy agwt xint msens isshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
est store a412ag
est stat a412reg a412ag 

* Table A4.1, model 3
xi: logit pronavy northeast west xint msens isshr esetrend strend officer age ivyleague democrat louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store a413reg
quietly xi: logit pronavy agwt xint msens isshr esetrend strend officer age ivyleague democrat louisiana i.rollcall, cluster(statecd) nolog
est store a413ag
est stat a413reg a413ag 

* Appendix 5. Alternative analysis of strikes and immigration
* Interaction term with variables transformed to make both positive
gen strend_pos=strend+0.08
gen esetrend_pos=esetrend+0.03
gen interact=strend_pos*esetrend_pos

* Table 5.1, model 1
xi: logit pronavy agwt xint msens isshr esetrend_pos strend_pos interact louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store interact1
test esetrend_pos strend_pos interact
quietly xi: logit pronavy agwt xint msens isshr esetrend_pos strend_pos louisiana i.rollcall, cluster(statecd)
est store additive1
est stats interact1 additive1
* Table 5.1, model 2
xi: logit pronavy xint msens isshr esetrend_pos strend_pos interact louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store interact2
test esetrend_pos strend_pos interact
quietly xi: logit pronavy xint msens isshr esetrend_pos strend_pos louisiana i.rollcall, cluster(statecd)
est store additive2
est stats interact2 additive2

* Appendix 6. Models disaggregating the steel and shipbuilding sectors
* Table A6.1, model 1
xi: logit pronavy xint msens shipshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
estat clas
* Table A6.1, model 2
xi: logit pronavy xint msens irstshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
estat clas
* Table A6.1, model 3
xi: logit pronavy xint msens shipshr irstshr esetrend strend louisiana i.rollcall, cluster(statecd) nolog
estat clas

* Appendix 7. The legacy of the Civil War
* Table A7.1, model 1  
xi: logit pronavy agwt xint msens isshr esetrend strend slaveprp louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store slave1
* Table A7.1, model 2  
xi: logit pronavy xint msens isshr esetrend strend slaveprp louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store slave2
* Table A7.1, model 3  
xi: logit pronavy agwt xint msens isshr esetrend strend confed louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store confed2
* Table A7.1, model 4  
xi: logit pronavy xint msens isshr esetrend strend confed louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store confed3
* Table A7.1, model 5
xi: logit pronavy agwt xint msens isshr esetrend strend convetprp unvetprp louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store vet2
* Table A7.1, model 6
xi: logit pronavy xint msens isshr esetrend strend convetprp unvetprp louisiana i.rollcall, cluster(statecd) nolog
estat clas
est store vet3
est stat slave1 slave2 confed2 confed3 vet2 vet3

* Appendix 8. DW-NOMINATE as an alternative indicator of partisanship
* Table A8.1, Model 1
xi: logit pronavy xint msens isshr esetrend strend officer age ivyleague democrat louisiana i.rollcall, cluster(statecd) nolog
est store indiv
estat clas
* Table A8.1, Model 2
xi: logit pronavy xint msens isshr esetrend strend officer age ivyleague democrat nominate_dim1 louisiana i.rollcall, cluster(statecd) nolog
est store both
estat clas
* Table A8.1, Model 3
xi: logit pronavy xint msens isshr esetrend strend officer age ivyleague nominate_dim1 louisiana i.rollcall, cluster(statecd) nolog
est store dwnom
estat clas
* Table A8.1, Model 4
xi: logit pronavy officer age ivyleague nominate_dim1 louisiana i.rollcall, cluster(statecd) nolog
est store indivd
estat clas

* Table A8.2, Model 1
reg nominate_dim1 agwt if rollcall==125 
* Table A8.2, Model 2
reg nominate_dim1 agwt xint msens isshr esetrend strend louisiana if rollcall==125
* Table A8.2, Model 3
reg nominate_dim1 xint msens isshr esetrend strend louisiana if rollcall==125

* Table A8.3, Democrats, model 1
reg nominate_dim1 agwt if rollcall==125 & democrat==1, cluster(statecd) 
* Table A8.3, Democrats, model 2
reg nominate_dim1 agwt xint msens isshr esetrend strend louisiana if rollcall==125 & democrat==1, cluster(statecd)
* Table A8.3, Democrats, model 3
reg nominate_dim1 xint msens isshr esetrend strend louisiana if rollcall==125 & democrat==1, cluster(statecd)

* Table A8.3, Republicans, model 1
reg nominate_dim1 agwt if rollcall==125 & democrat==0, cluster(statecd)
* Table A8.3, Republicans, model 2
reg nominate_dim1 agwt xint msens isshr esetrend strend louisiana if rollcall==125 & democrat==0, cluster(statecd)
* Table A8.3, Republicans, model 3
reg nominate_dim1 xint msens isshr esetrend strend louisiana if rollcall==125 & democrat==0, cluster(statecd)

* Appendix 3. Alternative analysis using an index of support for battleship-building
gen voted=1 if pronavy~=.
sort memnum
collapse (max) agwt xint msens isshr esetrend strend officer age ivyleague democrat louisiana (sum) voted pronavy, by(memnum)
gen index=pronavy/voted

* Table A3.1, model 1
glm index agwt, link(logit) family(binomial) robust nolog
* Table A3.1, model 2
glm index agwt xint msens isshr esetrend strend louisiana, link(logit) family(binomial) robust nolog
* Table A3.1, model 3
glm index xint msens isshr esetrend strend louisiana, link(logit) family(binomial) robust nolog
* Table A3.1, model 4
glm index xint msens isshr esetrend strend officer age ivyleague democrat louisiana, link(logit) family(binomial) robust nolog
* Table A3.1, model 5
glm index officer age ivyleague democrat, link(logit) family(binomial) robust nolog

* Separate models for each party 
* Table A3.2, Democrats model 1
glm index agwt xint msens isshr esetrend strend louisiana if democrat==1, link(logit) family(binomial) robust nolog
* Table A3.2, Democrats model 2
glm index xint msens isshr esetrend strend louisiana if democrat==1, link(logit) family(binomial) robust nolog
* Table A3.2, Republicans model 1
glm index agwt xint msens isshr esetrend strend louisiana if democrat==0, link(logit) family(binomial) robust nolog
* Table A3.2, Republicans model 2
glm index xint msens isshr esetrend strend louisiana if democrat==0, link(logit) family(binomial) robust nolog

